API references
Merchant API

Generate Dispute Evidence Upload URL

Generates a pre-signed URL for uploading evidence for a dispute. Returns an object containing the URL and the object key.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/generate-dispute-evidence-upload-url HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
dispute_id: string,
filename: string,
md5_hash: string,
byte_size: number,
comment: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
dispute_id string

Required. The unique identifier of the dispute (dsp_...)

filename string

Required. The name of the file to be uploaded. Must include the file extension (e.g., 'evidence.pdf').

md5_hash string

Required. The MD5 hash of the file to be uploaded.

byte_size number

Required. The size of the file in bytes.

comment string

Optional. A comment for this evidence.

Response attributes
Attribute Description
url
string

Always present. The upload URL where files can be uploaded.

upload_id
string

Always present. The ID of the upload session.

headers
object

Always present. The HTTP headers required for the upload request.

Errors specific to this endpoint
NOT_FOUND

The specified dispute was not found.

INVALID_STATE

The dispute is not in a state that allows evidence upload.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/generate-dispute-evidence-upload-url" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "dispute_id": "dsp_01kwbby4c702mbq2htbbwnywhd"
        "filename": "screenshot.png",
        "md5_hash": "5eb63bbbe01eeed093cb22bb8f5acdc3",
        "byte_size": 16384
      }'
Learn how to run these code samples in your terminal by reading our guide.